org.apache.tiles.web.jsp.taglib

## Class UseAttributeTag

- java.lang.Object
- - javax.servlet.jsp.tagext.SimpleTagSupport
  - - org.apache.tiles.web.jsp.taglib.UseAttributeTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

      public class UseAttributeTag
      extends javax.servlet.jsp.tagext.SimpleTagSupport

  Exposes am attribute as a scripting variable within the page.
  Since:
    Tiles 1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UseAttributeTag.Tei` Implementation of TagExtraInfo which identifies the scripting object(s) to be made visible.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UseAttributeTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doTag()`
    `String` | `getClassname()` Get class name.
    `String` | `getId()` Returns the id of the imported scripting variable.
    `String` | `getName()` Get the name.
    `String` | `getScope()` Get scope.
    `String` | `getScriptingVariable()` Returns the scripting variable to use.
    `boolean` | `isIgnore()` Get ignore flag.
    `void` | `setClassname(String name)` Set the class name.
    `void` | `setId(String id)` Sets the id of the imported scripting variable.
    `void` | `setIgnore(boolean ignore)` Set ignore flag.
    `void` | `setName(String name)` Set the name.
    `void` | `setScope(String scope)` Set the scope.

    - ### Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport

      `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UseAttributeTag

          public UseAttributeTag()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns the id of the imported scripting variable.
      Returns:
        The id of the imported scripting variable.
      Since:
        2.2.0

    - #### setId

          public void setId(String id)

      Sets the id of the imported scripting variable.
      Parameters:
        `id` - The id of the imported scripting variable.
      Since:
        2.2.0

    - #### setScope

          public void setScope(String scope)

      Set the scope.
      Parameters:
        `scope` - Scope.

    - #### getScope

          public String getScope()

      Get scope.
      Returns:
        Scope.

    - #### getName

          public String getName()

      Get the name.
      Returns:
        Name.

    - #### setName

          public void setName(String name)

      Set the name.
      Parameters:
        `name` - The new name

    - #### setIgnore

          public void setIgnore(boolean ignore)

      Set ignore flag.
      Parameters:
        `ignore` - default: false: Exception is thrown when attribute is not found, set to true to ignore missing attributes silently

    - #### isIgnore

          public boolean isIgnore()

      Get ignore flag.
      Returns:
        default: false: Exception is thrown when attribute is not found, set to true to ignore missing attributes silently

    - #### getClassname

          public String getClassname()

      Get class name.
      Returns:
        class name

    - #### setClassname

          public void setClassname(String name)

      Set the class name.
      Parameters:
        `name` - The new class name.

    - #### doTag

          public void doTag()
                     throws javax.servlet.jsp.JspException,
                            IOException

      Specified by:
        `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
      Overrides:
        `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`
        `IOException`

    - #### getScriptingVariable

          public String getScriptingVariable()

      Returns the scripting variable to use.
      Returns:
        The scripting variable.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.